Bug 467099 - Incorrect uniqueness constraint on bondings_nics table
Incorrect uniqueness constraint on bondings_nics table
Status: CLOSED WORKSFORME
Product: Virtualization Tools
Classification: Community
Component: ovirt-server-suite (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Hugh Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 14:19 EDT by Mo Morsi
Modified: 2014-07-07 08:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 15:22:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mo Morsi 2008-10-15 14:19:27 EDT
Description of problem:
Incorrect uniqueness constraint on bondings_nics bridge table. Right now the constraint is on bonding_id, nic_id which permits a many to many relationship between the two primary tables. Constraint should be on nic_id to impose a 1 bonding to many nics relationship.
Comment 1 Hugh Brock 2009-05-22 14:28:19 EDT
Mo, did you or Darryl fix this?

Note You need to log in before you can comment on or make changes to this bug.